/*
 * API documentation
 * No description provided (generated by Swagger Codegen https://github.com/swagger-api/swagger-codegen)
 *
 * OpenAPI spec version: 1.0.0-20181108155220-20181108155343
 * Contact: api.move@axa-assistance.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */


package io.insurance.bn.starter.model;

import com.google.gson.annotations.SerializedName;
import io.swagger.annotations.ApiModelProperty;
import org.threeten.bp.LocalDate;

import java.util.Objects;

/**
 * ReplacementFlight
 */
@javax.annotation.Generated(value = "io.swagger.codegen.languages.JavaClientCodegen", date = "2018-12-19T23:23:06.995+01:00")
public class ReplacementFlight {
  @SerializedName("number")
  private String number = null;

  @SerializedName("departure_time")
  private LocalDate departureTime = null;

  @SerializedName("arrival_time")
  private LocalDate arrivalTime = null;

  @SerializedName("ticket_cost")
  private Model111 ticketCost = null;

  @SerializedName("form_of_payment")
  private String formOfPayment = null;

  public ReplacementFlight number(String number) {
    this.number = number;
    return this;
  }

   /**
   * Flight number.
   * @return number
  **/
  @ApiModelProperty(value = "Flight number.")
  public String getNumber() {
    return number;
  }

  public void setNumber(String number) {
    this.number = number;
  }

  public ReplacementFlight departureTime(LocalDate departureTime) {
    this.departureTime = departureTime;
    return this;
  }

   /**
   * Date and time the airplane took off. UTC datetime, RFC3339 format (YYYY-MM-DDTHH:mm:ssZ).
   * @return departureTime
  **/
  @ApiModelProperty(value = "Date and time the airplane took off. UTC datetime, RFC3339 format (YYYY-MM-DDTHH:mm:ssZ).")
  public LocalDate getDepartureTime() {
    return departureTime;
  }

  public void setDepartureTime(LocalDate departureTime) {
    this.departureTime = departureTime;
  }

  public ReplacementFlight arrivalTime(LocalDate arrivalTime) {
    this.arrivalTime = arrivalTime;
    return this;
  }

   /**
   * Date and time the airplane landed. UTC datetime, RFC3339 format (YYYY-MM-DDTHH:mm:ssZ).
   * @return arrivalTime
  **/
  @ApiModelProperty(value = "Date and time the airplane landed. UTC datetime, RFC3339 format (YYYY-MM-DDTHH:mm:ssZ).")
  public LocalDate getArrivalTime() {
    return arrivalTime;
  }

  public void setArrivalTime(LocalDate arrivalTime) {
    this.arrivalTime = arrivalTime;
  }

  public ReplacementFlight ticketCost(Model111 ticketCost) {
    this.ticketCost = ticketCost;
    return this;
  }

   /**
   * Get ticketCost
   * @return ticketCost
  **/
  @ApiModelProperty(value = "")
  public Model111 getTicketCost() {
    return ticketCost;
  }

  public void setTicketCost(Model111 ticketCost) {
    this.ticketCost = ticketCost;
  }

  public ReplacementFlight formOfPayment(String formOfPayment) {
    this.formOfPayment = formOfPayment;
    return this;
  }

   /**
   * The purchased form of payment.
   * @return formOfPayment
  **/
  @ApiModelProperty(value = "The purchased form of payment.")
  public String getFormOfPayment() {
    return formOfPayment;
  }

  public void setFormOfPayment(String formOfPayment) {
    this.formOfPayment = formOfPayment;
  }


  @Override
  public boolean equals(java.lang.Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    ReplacementFlight replacementFlight = (ReplacementFlight) o;
    return Objects.equals(this.number, replacementFlight.number) &&
        Objects.equals(this.departureTime, replacementFlight.departureTime) &&
        Objects.equals(this.arrivalTime, replacementFlight.arrivalTime) &&
        Objects.equals(this.ticketCost, replacementFlight.ticketCost) &&
        Objects.equals(this.formOfPayment, replacementFlight.formOfPayment);
  }

  @Override
  public int hashCode() {
    return Objects.hash(number, departureTime, arrivalTime, ticketCost, formOfPayment);
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class ReplacementFlight {\n");
    
    sb.append("    number: ").append(toIndentedString(number)).append("\n");
    sb.append("    departureTime: ").append(toIndentedString(departureTime)).append("\n");
    sb.append("    arrivalTime: ").append(toIndentedString(arrivalTime)).append("\n");
    sb.append("    ticketCost: ").append(toIndentedString(ticketCost)).append("\n");
    sb.append("    formOfPayment: ").append(toIndentedString(formOfPayment)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(java.lang.Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }

}

